# Move a point in an existing line.

from maptek import vulcan

dgd_file = "pydemo.dgd.isis"  # design database to access
layer_name = "POLYLINE"  # layer to access
index,x,y,z,w,t,name = 1, 75912.8, 2797.3, 0.0, 0.0, 0, 'new_point'


with vulcan.dgd(dgd_file, "w") as dgd:  # open up the database in write mode
    layer = dgd.get_layer(layer_name)  # choose the correct layer
    line = layer.get_object(0) # create new point object
    line.set_point(index, x, y, z, w, t, name) # adjust point
    layer[0] = line  # update layer with edited line
    dgd.save_layer(layer)  # save layer







